/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 * 
 * Copyright (©) 2010, Alain Camiul - Corp and/or its affiliates.
 * All rights reserved.
 * 
 * Corp is a registered trademarks of ITCorp and/or its affiliates.
 * Other names may be trademarks of their respective owners.
 * 
 * When distributing a software, include this License Header Notice in each
 * file.
 */

package ejb;

import java.util.logging.Logger;
import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.ejb.LocalBean;
import javax.ejb.Singleton;
import javax.ejb.Startup;

/**
 *
 * @author Alain
 */
@Singleton
@Startup
@LocalBean
public class NewSessionBeanSingleton {

    static final Logger logger = Logger.getLogger(NewSessionBeanSingleton.class.getName());
    @EJB
    private NewEntityFacade newEntityFacade;

    @PostConstruct
    protected void doSomething() {
        logger.info("doing something");

        newEntityFacade.count();
    }

}
