/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 * 
 * Copyright (©) 2010, Alain Camiul - Corp and/or its affiliates.
 * All rights reserved.
 * 
 * Corp is a registered trademarks of ITCorp and/or its affiliates.
 * Other names may be trademarks of their respective owners.
 * 
 * When distributing a software, include this License Header Notice in each
 * file.
 */

package ejb;

import entity.NewEntity;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author Alain
 */
@Stateless
public class NewEntityFacade extends AbstractFacade<NewEntity> {
    @PersistenceContext(unitName = "WebApplicationPBPU")
    private EntityManager em;

    protected EntityManager getEntityManager() {
        return em;
    }

    public NewEntityFacade() {
        super(NewEntity.class);
    }

}
